View Issue Details

IDProjectCategoryView StatusLast Update
0002710SOGoActiveSyncpublic2014-05-16 09:39
Reporterpbra Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Client] MicrosoftOSWindowsOS Version7
Product Version2.2.3 
Target Version2.2.4Fixed in Version2.2.4 
Summary0002710: In outlook 2013 somes characters (accentued ones for exemple) are'nt correctly displayed
Description

with outlook 2013 and activesync some email characters are not correctly displayed.

Steps To Reproduce

import attached message in your imap server and synchronize outlook 2013 with activesync

TagsNo tags attached.

Activities

pbra

pbra

2014-04-10 12:11

reporter  

pbra

pbra

2014-04-10 12:11

reporter  

outlook.png (35,861 bytes)   
outlook.png (35,861 bytes)   
ludovic

ludovic

2014-04-23 08:18

administrator   ~0006954

I don't have this issue with the same message.

Can you show me your sogo.conf file?

pbra

pbra

2014-04-25 07:24

reporter   ~0006961

Find it below. FYI our imap server is cyrus

Regards

{
/* ***** Main SOGo configuration file **

  • *
  • Since the content of this file is a dictionary in OpenStep plist format, *
  • the curly braces enclosing the body of the configuration are mandatory. *
  • See the Installation Guide for details on the format. *
  • *
  • C and C++ style comments are supported. *
  • *
  • This example configuration contains only a subset of all available *
  • configuration parameters. Please see the installation guide more details. *
  • *
  • ~sogo/GNUstep/Defaults/.GNUstepDefaults has precedence over this file, *
  • make sure to move it away to avoid unwanted parameter overrides. *
  • *
  • **/

    / Database configuration (mysql:// or postgresql://) /
    OCSEMailAlarmsFolderURL = "postgresql://sogo:xxxx@127.0.0.1:5432/sogo/sogo_alarms_folder";
    OCSFolderInfoURL = "postgresql://sogo:xxx@127.0.0.1:5432/sogo/sogo_folder_info";
    OCSSessionsFolderURL = "postgresql://sogo:xxx@127.0.0.1:5432/sogo/sogo_sessions_info";
    SOGoProfileURL = "postgresql://sogo:xxx@localhost:5432/sogo/sogo_user_profile";

    / Mail /
    SOGoDraftsFolderName = "INBOX/Drafts";
    SOGoSentFolderName = "INBOX/Sent";
    SOGoTrashFolderName = "INBOX/Trash";
    SOGoIMAPServer = "imap://192.168.200.11:143/?tls=YES";
    SOGoSieveServer = "sieve://192.168.200.11:4190/?tls=YES";
    SOGoSMTPServer = "smtp.ilex-si.com";
    SOGoMailDomain = "ilex.fr";
    SOGoMailingMechanism = smtp;
    SOGoOtherUsersFolderName = "Autres Utilisateurs";
    //SOGoForceExternalLoginWithEmail = NO;
    //SOGoMailSpoolPath = /var/spool/sogo;
    NGImap4ConnectionStringSeparator = ".";

    / Notifications /
    SOGoAppointmentSendEMailNotifications = YES;
    SOGoACLsSendEMailNotifications = NO;
    SOGoEnableEMailAlarms = YES;
    SOGoFoldersSendEMailNotifications = NO;

    / Authentication /
    //SOGoPasswordChangeEnabled = YES;

    / LDAP authentication /
    SOGoUserSources = (
    {
    CNFieldName = cn;
    IDFieldName = uid;
    UIDFieldName = uid;
    KindFieldName = Kind;
    MultipleBookingsFieldName = MultipleBookings;
    baseDN = "ou=Sogo,ou=technical,dc=ilex-si,dc=com";
    bindDN = "uid=gggg,ou=Users,dc=ilex-si,dc=com";
    bindPassword = xxx;
    canAuthenticate = YES;
    displayName = Ilex;
    hostname = "ldap.ilex-si.com";
    id = ilex;
    isAddressBook = YES;
    port = 389;
    },
    {
    CNFieldName = cn;
    IDFieldName = cn;
    UIDFieldName = cn;
    baseDN = "ou=mailinglists,ou=postfix,ou=technical,dc=ilex-si,dc=com";
    canAuthenticate = NO;
    displayName = "Listes de diffusion";
    hostname = "ldap.ilex-si.com";
    id = listes;
    isAddressBook = YES;
    port = 389;
    }
    );

    / Web Interface /
    SOGoPageTitle = "ILEX SOGo";
    SOGoVacationEnabled = YES;
    //SOGoForwardEnabled = YES;
    SOGoSieveScriptsEnabled = YES;
    SOGoMailAuxiliaryUserAccountsEnabled = YES;

    / ActiveSync /
    SOGoMaximumSyncWindowSize = 10;
    SOGoMaximumPingInterval = 5;
    SOGoMaximumSyncInterval = 30;
    SOGoInternalSyncInterval = 10;

    / General /
    SOGoLanguage = French;
    SOGoTimeZone = "Europe/Paris";
    SOGoCalendarDefaultRoles = (
    PublicViewer,
    ConfidentialDAndTViewer
    );
    SOGoSuperUsernames = (
    pbra,
    xxx
    );
    WOPort = 20000;
    //WOWorkersCount = 20; //PREFORK dans /etc/init.d/sogo est utilisé a la place !
    SxVMemLimit = 2048;
    //WOPidFile = "/var/run/sogo/sogo.pid";
    //SOGoMemcachedHost = "/var/run/memcached.sock";

    / Debug /
    //SoDebugBaseURL = YES;
    // GCSFolderDebugEnabled = YES;
    // GCSFolderStoreDebugEnabled = YES;
    // LDAPDebugEnabled = YES;
    // MySQL4DebugEnabled = YES;
    // NGImap4DisableIMAP4Pooling = YES;
    // ImapDebugEnabled = YES;
    // OCSFolderManagerSQLDebugEnabled = YES;
    // PGDebugEnabled = YES;
    // SOGoDebugRequests = YES;
    // SOGoMailKeepDraftsAfterSend = YES;
    // SOGoUIxDebugEnabled = YES;
    // SoDebugObjectTraversal = YES;
    // SoSecurityManagerDebugEnabled = YES;
    // WODontZipResponse = YES;
    // WODebugZipResponse = YES;

    WOLogFile = "/var/log/sogo/sogo.log";
    }

ludovic

ludovic

2014-05-16 09:39

administrator   ~0007032

https://github.com/inverse-inc/sope/commit/05edc27b75d0c8d37303d940927881978c7835a8

Issue History

Date Modified Username Field Change
2014-04-10 12:11 pbra New Issue
2014-04-10 12:11 pbra File Added: Vite ! Dernières heures, pas de temps à perdre.eml
2014-04-10 12:11 pbra File Added: outlook.png
2014-04-22 14:38 ludovic Target Version => 2.2.4
2014-04-23 08:18 ludovic Note Added: 0006954
2014-04-25 07:24 pbra Note Added: 0006961
2014-05-16 09:39 ludovic Note Added: 0007032
2014-05-16 09:39 ludovic Status new => resolved
2014-05-16 09:39 ludovic Fixed in Version => 2.2.4
2014-05-16 09:39 ludovic Resolution open => fixed
2014-05-16 09:39 ludovic Assigned To => ludovic